Method
PATCH /v1/webhooks/subscriptions/:id
Path Parameters
uuid
required
Webhook subscription ID.
Headers
string
Bearer token (requires
webhooks:write).string
application/jsonDocumentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PATCH "https://api.voyantcloud.com/v1/webhooks/subscriptions/whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5" \
-H "Authorization: Bearer $VOYANT_API_KEY" \
-H "content-type: application/json" \
-d '{
"events": ["booking.*"],
"active": false,
"headers": null
}'
await fetch("https://api.voyantcloud.com/v1/webhooks/subscriptions/whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5", {
method: "PATCH",
headers: {
Authorization: `Bearer ${process.env.VOYANT_API_KEY}`,
"content-type": "application/json",
},
body: JSON.stringify({ maxRetries: 3, description: "Critical booking feed" }),
})
import os, requests
payload = {"active": True, "events": ["product.*", "booking.created"]}
resp = requests.patch(
"https://api.voyantcloud.com/v1/webhooks/subscriptions/whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5",
headers={
"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}",
"content-type": "application/json",
},
json=payload,
)
updated = resp.json()["data"]
{
"data": {
"id": "whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5",
"workspace_id": "ws_4a82d5bd-3330-4ad3-bf46-1b6a9a5d5d6a",
"url": "https://example.com/webhooks/voyant",
"events": ["booking.*"],
"active": false,
"max_retries": 3,
"headers": null,
"description": "Critical booking feed",
"created_at": "2025-03-01T09:12:33.000Z",
"updated_at": "2025-03-10T11:45:00.000Z",
"last_delivery_at": "2025-03-09T18:11:04.000Z",
"failure_count": 0
}
}
{
"error": "Invalid request body",
"code": "VALIDATION_400",
"details": [
{ "message": "At least one field must be provided" }
]
}
Modify webhook subscription metadata, events, or status.
PATCH /v1/webhooks/subscriptions/:id
webhooks:write).application/jsoncurl -X PATCH "https://api.voyantcloud.com/v1/webhooks/subscriptions/whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5" \
-H "Authorization: Bearer $VOYANT_API_KEY" \
-H "content-type: application/json" \
-d '{
"events": ["booking.*"],
"active": false,
"headers": null
}'
await fetch("https://api.voyantcloud.com/v1/webhooks/subscriptions/whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5", {
method: "PATCH",
headers: {
Authorization: `Bearer ${process.env.VOYANT_API_KEY}`,
"content-type": "application/json",
},
body: JSON.stringify({ maxRetries: 3, description: "Critical booking feed" }),
})
import os, requests
payload = {"active": True, "events": ["product.*", "booking.created"]}
resp = requests.patch(
"https://api.voyantcloud.com/v1/webhooks/subscriptions/whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5",
headers={
"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}",
"content-type": "application/json",
},
json=payload,
)
updated = resp.json()["data"]
{
"data": {
"id": "whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5",
"workspace_id": "ws_4a82d5bd-3330-4ad3-bf46-1b6a9a5d5d6a",
"url": "https://example.com/webhooks/voyant",
"events": ["booking.*"],
"active": false,
"max_retries": 3,
"headers": null,
"description": "Critical booking feed",
"created_at": "2025-03-01T09:12:33.000Z",
"updated_at": "2025-03-10T11:45:00.000Z",
"last_delivery_at": "2025-03-09T18:11:04.000Z",
"failure_count": 0
}
}
{
"error": "Invalid request body",
"code": "VALIDATION_400",
"details": [
{ "message": "At least one field must be provided" }
]
}